QGIS Application - Feature request #21145
Add support for WCS layers for GDAL based tools in Processing
2019-01-31 05:30 PM - Hans Erik Jacobsen

Status: Open

Priority: Normal

Assignee:

Category: Processing/GDAL

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 28963
Description

The function Raster>Extraction>Clip Raster by Extend fails when rasterlayer is WCS

Workaround: RightClick layer, use Export>Save As..., and use Map Canvas Extent

History

#1 - 2019-01-31 06:36 PM - Giovanni Manghi
- Status changed from Open to Feedback

This is duplicate of another ticket (a feature request) where is asked to allow use WCS layer as input layers for Processing tools, at the moment they are
not supported.

#2 - 2019-01-31 08:23 PM - Nyall Dawson

Actually they work for native QGIS algorithms, just not the gdal based ones

#3 - 2019-01-31 10:32 PM - Giovanni Manghi

Nyall Dawson wrote:

Actually they work for native QGIS algorithms, just not the gdal based ones

mapserver wcs layers do not show as input for qgis core tools. GDAL tools give an error like "FAILURE: No target dataset specified.".

#4 - 2019-01-31 11:54 PM - Nyall Dawson

mapserver wes layers do not show as input for qgis core tools.

Hmm - that's a bug in itself. They do work, they are just filtered from the GUL. I'll fix.

#5 - 2019-02-01 12:01 AM - Nyall Dawson

Actually | can't confirm this - if | add a WCS layer | can pick it as an input for native tools like "Raster Surface Volume", "Reclassify by table", etc. It's slow,
but that's expected when working directly with a remote source like WCS...

2024-03-20 12




#6 - 2019-02-01 12:57 AM - Giovanni Manghi

Nyall Dawson wrote:

Actually | can't confirm this - if | add a WCS layer | can pick it as an input for native tools like "Raster Surface Volume", "Reclassify by table", etc. It's
slow, but that's expected when working directly with a remote source like WCS...

you are right, | tried again and it seems to work here too... weird, probably | hit a glitch.

#7 - 2019-03-09 11:05 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Tracker changed from Bug report to Feature request

- Subject changed from Clip WCS Raster by Extent to Add support for WCS layers for GDAL based tools in Processing
- Category changed from Rasters to Processing/GDAL
